### Function

# GLib SList find

#### Declaration

    GSList*
    g_slist_find (
      GSList* list,
      gconstpointer data
    )

#### Description

Finds the element in a `GSList` which contains the given data.

This function is not directly available to language bindings.

#### Parameters

`list`

  Type: A list of `gpointer`

  A `GSList`.

  The data is owned by the caller of the function.

`data`

  Type: `gconstpointer`

  The element data to find.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: A list of `gpointer`

The found `GSList` element, or `NULL` if it is not found.

The data is owned by the called function.